/*
 * @(#)UTF_16LE_BOM.java        1.4        06/04/07
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * Contributors: Ulf Zibis, Germany, Ulf.Zibis @ CoSoCo.de
 */

package sun.nio.cs;

class UTF_16LE_BOM extends UTF_16 {

    UTF_16LE_BOM(String canonicalName, String... aliases) {
        super(canonicalName, aliases);
    }

    public String historicalName() {
        return "UnicodeLittle";
    }

    public Decoder newDecoder() {
        return new Decoder(this, NONE, LITTLE);
    }

    public Encoder newEncoder() {
        return new Encoder(this, LITTLE, true);
    }
}
